Bug 1140325 (CVE-2014-3631) - CVE-2014-3631 kernel: keys: incorrect termination condition in assoc array garbage collection
Summary: CVE-2014-3631 kernel: keys: incorrect termination condition in assoc array ga...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3631
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1154979 (view as bug list)
Depends On: 1116347 1139431 1155136
Blocks: 829181
TreeView+ depends on / blocked
 
Reported: 2014-09-10 16:59 UTC by Petr Matousek
Modified: 2021-02-17 06:14 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel's keys subsystem handled the termination condition in the associative array garbage collection functionality. A local, unprivileged user could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2018-02-01 16:58:26 UTC


Attachments (Terms of Use)
Upstream patch proposal (4.21 KB, text/plain)
2014-09-10 17:02 UTC, Petr Matousek
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1971 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC

Description Petr Matousek 2014-09-10 16:59:19 UTC
A flaw was found in the way the termination condition in the associative array
garbage collection functionality was handled when used from the keys subsystem.

A local unprivileged user could use this flaw to crash the system.

Introduced by:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=b2a4df200d570b2c33a57e1ebfa5896e4bc81b69

Comment 1 Petr Matousek 2014-09-10 17:02:15 UTC
Created attachment 936266 [details]
Upstream patch proposal

Comment 2 Petr Matousek 2014-09-10 17:03:31 UTC
Statement:

This issue does not affect versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 7 may address this issue.

Comment 4 David Howells 2014-09-10 21:32:01 UTC
The patch has been posted upstream: https://lkml.org/lkml/2014/9/10/788

Comment 7 Petr Matousek 2014-10-21 12:46:31 UTC
*** Bug 1154979 has been marked as a duplicate of this bug. ***

Comment 8 Petr Matousek 2014-10-29 09:18:23 UTC
Acknowledgements:

Red Hat would like to thank Frey Alfredsson for reporting this issue.

Comment 9 Martin Prpič 2014-12-05 14:30:37 UTC
IssueDescription:

A flaw was found in the way the Linux kernel's keys subsystem handled the termination condition in the associative array garbage collection functionality. A local, unprivileged user could use this flaw to crash the system.

Comment 10 errata-xmlrpc 2014-12-09 20:35:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html


Note You need to log in before you can comment on or make changes to this bug.